<template>
    <div class="modal mini-modal">
        <button v-if="feedback?.type === 'error'" class="close-btn button-icon" @click="close">
            <i class="icon-close"></i>
        </button>
        <div>
            <div class="success-area" v-if="feedback?.type === 'success'">
                <div class="success-icon"><i class="icon-check"></i></div>
                <div class="feedback-message">
                    <p>{{ feedback?.message }}</p>
                </div>
            </div>
            
            <div class="error-area" v-if="feedback?.type === 'error'">
                <div class="error-icon"><i class="icon-close"></i></div>
                <div class="error-title"><span>Error: </span> Unable to delete item</div>
                <div class="error-text">{{ feedback?.message }}</div>
            </div>
        </div>
    </div> 
</template>

<script setup lang="ts">

const props = defineProps({
    feedback: { 
        type: Object,
        required: false,
        default: () => ({ type: '', message: '' }), 
    }
});

const emit = defineEmits(['toggle']);

const close = () => {
    emit('toggle');
}


</script>